-- BINDINGs labels
BINDING_HEADER_RAIDMARKER = "Raid Markers"
BINDING_NAME_RAIDMARKER0 = "Clear Raid Markers"
BINDING_NAME_RAIDMARKER1 = "Blue Raid Marker"
BINDING_NAME_RAIDMARKER2 = "Green Raid Marker"
BINDING_NAME_RAIDMARKER3 = "Purple Raid Marker"
BINDING_NAME_RAIDMARKER4 = "Red Raid Marker"
BINDING_NAME_RAIDMARKER5 = "White Raid Marker"

_G["BINDING_NAME_CLICK BlueFlare:LeftButton"] = "Blue Flare"
_G["BINDING_NAME_CLICK GreenFlare:LeftButton"] = "Green Flare"
_G["BINDING_NAME_CLICK PurpleFlare:LeftButton"] = "PurpleFlare"
_G["BINDING_NAME_CLICK RedFlare:LeftButton"] = "RedFlare"
_G["BINDING_NAME_CLICK WhiteFlare:LeftButton"] = "WhiteFlare"
_G["BINDING_NAME_CLICK ClearFlares:LeftButton"] = "Clear Flares"



local a = CreateFrame("Button", "BlueFlare", nil, "SecureActionButtonTemplate")
a:SetAttribute("type", "macro")
a:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button1
]])
a:RegisterForClicks("AnyDown")

local b = CreateFrame("Button", "GreenFlare", nil, "SecureActionButtonTemplate")
b:SetAttribute("type", "macro")
b:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button2
]])
b:RegisterForClicks("AnyDown")

local c = CreateFrame("Button", "PurpleFlare", nil, "SecureActionButtonTemplate")
c:SetAttribute("type", "macro")
c:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button3
]])
c:RegisterForClicks("AnyDown")

local d = CreateFrame("Button", "RedFlare", nil, "SecureActionButtonTemplate")
d:SetAttribute("type", "macro")
d:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button4
]])
d:RegisterForClicks("AnyDown")

local e = CreateFrame("Button", "WhiteFlare", nil, "SecureActionButtonTemplate")
e:SetAttribute("type", "macro")
e:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button5
]])
e:RegisterForClicks("AnyDown")

local f = CreateFrame("Button", "ClearFlares", nil, "SecureActionButtonTemplate")
f:SetAttribute("type", "macro")
f:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button6
]])
f:RegisterForClicks("AnyDown")










